Kerbal Space Program - Bug #9502

Biome filter in R&D Science Archives matches other biomes containing that name (e.g. "Flats" also
gives data for "Great Flats" etc.)
Description

When in the Science Archives, if you click on a biome like Minmus Flats, you are shown not just the data for Flats but also for Great
Flats, Greater Flats and Lesser Flats. It looks like this is just a simple text match instead of actually checking the biomes.

Steps to reproduce:

1. Get science data from Minmus Great Flats, Greater Flats or Lesser Flats
2. Go to the R&D Science Archives

3. Click on Minmus, than look at the counter next to the "Flats" biome

4. Click on the "Flats" biome

Expected results:
The counter for science at the Flats should not include science from the Great, Greater or Lesser Flats. When clicking on the "Flats",
only the science from the actual "Flats" biome should be shown.

Actual results:
The counter also counts science from other "... Flats" biomes, and this science is shown when you click "Flats"

History

#1 - 07/17/2016 09:48 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 07/19/2016 12:32 PM - peternlewis
Confirmed behaviour for me as well.

"k

Looks like the biome filter is doing a "contains" search rather than an "is" search and so is showing all the various "* Flats" when Flats is selected.

Kerbal Space Program - 1.1.3.1289 (OSXPlayer)

OS: Mac OS X 10.10.5

CPU: Intel(R) Core(TM) i5-5250U CPU @ 1.60GHz (4)

RAM: 4096

GPU: Intel(R) HD Graphics 6000 (1536MB)

SM: 30 (OpenGL 2.1 [2.1 INTEL-10.6.33))

RT Formats: ARGB32, Depth, ARGBHalf, Shadowmap, RGB565, ARGB4444, ARGB1555, Default, ARGB2101010, DefaultHDR, ARGBFloat,
RGFloat, RGHalf, RFloat, RHalf, R8

#3 - 07/20/2016 10:52 AM - TriggerAu
- Status changed from Needs Clarification to Confirmed

- % Done changed from 0 to 10

Thanks for the update peternlewis

Files

screenshot10.png 525 KB 04/26/2016 michelcolman

05/17/2024 1/1



http://www.tcpdf.org

